> ## Documentation Index
> Fetch the complete documentation index at: https://developers.getfernand.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new channel

Creates a new email channel for the organization with the specified name and email address.


## OpenAPI

````yaml https://api.getfernand.com/openapi.json post /organization/channels
openapi: 3.0.3
info:
  title: Fernand API Documentation
  version: '3.0'
  description: This is the documentation for the [Fernand](https://getfernand.com) API.
  termsOfService: https://getfernand.com/terms
  contact:
    name: Fernand Support
    url: https://getfernand.com
    email: support@getfernand.com
  x-logo:
    url: https://app.getfernand.com/images/favicon/icon_128.png
servers:
  - url: https://api.getfernand.com
    description: ''
    x-last-modified: 1764750693905
security:
  - apiKeyHeader: []
externalDocs:
  description: You can access our documentation online by visiting https://api.fernand.help
  url: https://api.fernand.help
paths:
  /organization/channels:
    post:
      tags:
        - Channels
      summary: Create a new channel
      description: >-
        Creates a new email channel for the organization with the specified name
        and email address.
      operationId: createChannel
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  maxLength: 50
                  description: Display name for the channel.
                  example: Support
                email:
                  type: string
                  format: email
                  maxLength: 250
                  description: >-
                    Email address for the channel (domain must not exceed 65
                    characters).
                  example: support@piedpiper.com
              required:
                - name
                - email
      responses:
        '200':
          description: Channel created successfully.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Channel'
                  - type: object
                    properties:
                      domain:
                        type: object
                        description: Domain verification details.
                        properties:
                          name:
                            type: string
                            example: piedpiper.com
                          dns:
                            type: array
                            items:
                              type: object
                          is_valid:
                            type: boolean
                            example: false
                          is_pending:
                            type: boolean
                            example: true
        '400':
          description: Invalid input or channel already exists.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
components:
  schemas:
    Channel:
      type: object
      properties:
        id:
          type: integer
          format: int64
          description: Unique identifier for the channel
          example: 12345
        name:
          type: string
          maxLength: 250
          description: >-
            Display name for the channel. Defaults to the local part of the
            email (before @) if not set.
          example: Support
        email:
          type: string
          format: email
          maxLength: 250
          description: Email address for this channel
          example: support@piedpiper.com
        destination:
          type: string
          format: email
          description: >-
            The actual email inbox used by Fernand to receive emails. This is
            where you point your email redirection to.
          example: support@piedpiper.fernand-mails.com
        is_valid:
          type: boolean
          description: >-
            Whether the channel's domain has been validated and is ready to
            send/receive emails
          example: true
      required:
        - id
        - name
        - email
        - destination
        - is_valid
      x-computed-hash: e1627e7cece0dc3e9993939d033c003c7862607dcd0bce4bcb6ae74daf6031d6
      x-last-modified: 1769075324
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      description: >-
        Authenticate your account by including your secret key in API requests.

        You can manage your API keys in the
        [Dashboard](https://app.getfernand.com/).


        Authentication to the API is performed by using the HTTP Header
        X-API-Key.
      name: X-API-Key
      in: header
      x-last-modified: 1764750344730

````